aboutsummaryrefslogtreecommitdiffstats
path: root/dist/release.sh
diff options
context:
space:
mode:
authors-ol <s-ol@users.noreply.github.com>2020-04-17 15:04:52 +0000
committers-ol <s-ol@users.noreply.github.com>2020-04-17 15:04:52 +0000
commit8a7e35508fc3fabe85086b0ac0c777f1ed054e29 (patch)
tree8567df4436dcfef16136a330fdb70c352a9d571e /dist/release.sh
parentadd some windows dist pieces (diff)
downloadalive-8a7e35508fc3fabe85086b0ac0c777f1ed054e29.tar.gz
alive-8a7e35508fc3fabe85086b0ac0c777f1ed054e29.zip
more distribution wip
Diffstat (limited to 'dist/release.sh')
-rwxr-xr-xdist/release.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/dist/release.sh b/dist/release.sh
index e7b6923..1aaa978 100755
--- a/dist/release.sh
+++ b/dist/release.sh
@@ -1,4 +1,6 @@
#!/bin/sh
+set -e
+
VERSION="${1:-scm}"
REVISION="${2:-1}"
@@ -40,7 +42,7 @@ list_modules() {
' sh {} \;
}
-cat <<STOP >"dist/rockspecs/alive-$VERSION-$REVISION.rockspec"
+cat <<STOP >"dist/rocks/alive-$VERSION-$REVISION.rockspec"
package = "alive"
version = "$VERSION-$REVISION"